# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-IO-Compress-Lzma
Version:	2.049
Release:	1.%{__distinit}%{__distvers}
Summary:	Read and write lzma compressed data
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/IO-Compress-Lzma/
Source0:	http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/IO-Compress-Lzma-%{version}.tar.gz
Patch0:		IO-Compress-2.034-old-perl.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
BuildArch:	noarch
%if %(perl -e 'print $] > 5.008000 ? 0 : 1;')
# RHL-9 / RHEL-3 perls are missing a dependency on /bin/csh, needed for glob()
BuildRequires:	/bin/csh
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Compress::Raw::Lzma) >= %{version}
BuildRequires:	perl(IO::Compress::Base) >= %{version}
BuildRequires:	perl(IO::String)
BuildRequires:	perl(Test::Pod)
BuildRequires:	xz, xz-lzma-compat
# EPEL-4 and Fedora Extras 4 onwards include p7zip, which provides extra test coverage
%if %([ '(' '%{__distinit}' = 'rhel' -o '%{__distinit}' = 'fc' ')' -a %{__distvers} -ge 4 ] && echo 1 || echo 0)
BuildRequires:	/usr/bin/7z
%endif

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the lzma library.

%prep
%setup -q -n IO-Compress-Lzma-%{version}

# File::Path 1.06 and earlier don't do rmtree properly enough for the test
# suite, so if that's what we've got, hack the test suite to use a local copy
# of File::Path 1.08 instead.
#
# Note that FC-3, FC-4, EL-4 have patched versions of File::Path 1.06 that work
# OK but we'll hack the test suite anyway since it's hard to tell if the
# module is patched.
%if %(perl -MFile::Path -e 'print $File::Path::VERSION <= 1.06 ? 1 : 0;')
%patch0 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
# Use our hacked File::Path if necessary
[ -f inc/File/Path108.pm ] && export PERL5LIB=$(pwd)/inc

make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Compress::Lzma.3pm*
%{_mandir}/man3/IO::Compress::Xz.3pm*
%{_mandir}/man3/IO::Uncompress::UnLzma.3pm*
%{_mandir}/man3/IO::Uncompress::UnXz.3pm*

%changelog
* Sat Feb 18 2012 Paul Howarth <paul@city-fan.org> - 2.049-1
- Update to 2.049 (no changes)

* Sun Jan 29 2012 Paul Howarth <paul@city-fan.org> - 2.048-1
- Update to 2.048 (no changes)

* Sun Jan 29 2012 Paul Howarth <paul@city-fan.org> - 2.047-1
- Update to 2.047
  - Set minimum Perl version to 5.6

* Sun Dec  4 2011 Paul Howarth <paul@city-fan.org> - 2.045-1
- Update to 2.045
  - Moved FAQ.pod to IO::Compress

* Sun Dec  4 2011 Paul Howarth <paul@city-fan.org> - 2.044-1
- Update to 2.044
  - Moved FAQ.pod under the lib directory so it can get installed

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> - 2.043-1
- Update to 2.043 (no changes)

* Fri Nov 18 2011 Paul Howarth <paul@city-fan.org> - 2.042-1
- Update to 2.042 (no changes)
- Resync versioned dependencies on IO::Compress::Base and Compress::Raw::Lzma

* Sat Oct 29 2011 Paul Howarth <paul@city-fan.org> - 2.041-1
- Update to 2.041
  - Remove debugging line in t/001lzma.t that writes to /tmp (CPAN RT#72023)
- Hard-code version requirements for IO::Compress and Compress::Raw::Lzma
  until the next synchronized release happens

* Sat Oct 29 2011 Paul Howarth <paul@city-fan.org> - 2.040-1
- Update to 2.040 (no changes)

* Fri Oct 28 2011 Paul Howarth <paul@city-fan.org> - 2.039-1
- Update to 2.039
  - Fixed uncompression issue in IO::Uncompress::UnLzma (CPAN RT#71114)

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 2.038-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> - 2.038-1
- Update to 2.038
  - Fixed missing SKIP label in t/050interop-zip-lzma.t
- Hard-code version requirements for IO::Compress and Compress::Raw::Lzma
  until the next synchronized release happens

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 2.037-1
- Update to 2.037
  - Handle "Cannot Allocate Memory" issue with Extreme test in
    t/105oneshot-zip-lzma-only.t

* Mon Jun 20 2011 Paul Howarth <paul@city-fan.org> - 2.036-1
- Update to 2.036
  - IO::Compress::Adapter:
    - Added interface to allow creation of LZMA stream for use in a zip file
  - IO::Uncompress::Adapter:
    - Added interface to allow reading of LZMA stream in a zip file
- BR: /usr/bin/7z for additional test coverage where possible

* Sat May  7 2011 Paul Howarth <paul@city-fan.org> - 2.035-1
- Update to 2.035 (fix test failure on Windows - CPAN RT#67931)

* Tue May  3 2011 Paul Howarth <paul@city-fan.org> - 2.034-1
- Update to 2.034 (updates to test harness)
- Update patch for building with old File::Path
- Nobody else likes macros for commands

* Tue Jan 11 2011 Paul Howarth <paul@city-fan.org> - 2.033-1
- Update to 2.033 (made 001xz.t more forgiving when the tests run out of memory)

* Fri Jan  7 2011 Paul Howarth <paul@city-fan.org> - 2.032-1
- Update to 2.032 (no changes)

* Mon Jul 26 2010 Paul Howarth <paul@city-fan.org> - 2.030-1
- Update to 2.030 (no changes)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 2.027-3
- Rebuild for perl 5.12.1 in Rawhide

* Sat Jun  5 2010 Paul Howarth <paul@city-fan.org> - 2.027-2
- Fix dist tag for RHEL-6 Beta

* Thu Apr 29 2010 Paul Howarth <paul@city-fan.org> - 2.027-1
- Initial RPM version
